## pixmap 0.1-2

=== DESCRIPTION ===
Package: pixmap
Version: 0.1-2
Title:  Bitmap Images (``Pixel Maps'')
Depends: R (>= 1.3)
Author: Friedrich Leisch and Roger Bivand
Maintainer: Friedrich Leisch <Friedrich.Leisch@ci.tuwien.ac.at>
Description: Functions for import, export, plotting and other
  manipulations of bitmapped images. 
License: GPL version 2.

## pixmap 0.2-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: pixmap
-Version: 0.1-2
+Version: 0.2-1
 Title:  Bitmap Images (``Pixel Maps'')
 Depends: R (>= 1.3)
 Author: Friedrich Leisch and Roger Bivand

## pixmap 0.3-0

=== DESCRIPTION ===
Package: pixmap
Version: 0.3-0
Title:  Bitmap Images (``Pixel Maps'')
Depends: R (>= 1.6.0)
Author: Friedrich Leisch and Roger Bivand
Maintainer: Friedrich Leisch <Friedrich.Leisch@ci.tuwien.ac.at>
Description: Functions for import, export, plotting and other
  manipulations of bitmapped images. 
License: GPL version 2.

## pixmap 0.3-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: pixmap
-Version: 0.3-0
+Version: 0.3-1
 Title:  Bitmap Images (``Pixel Maps'')
 Depends: R (>= 1.6.0)
 Author: Friedrich Leisch and Roger Bivand

## pixmap 0.3-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: pixmap
-Version: 0.3-1
+Version: 0.3-2
 Title:  Bitmap Images (``Pixel Maps'')
 Depends: R (>= 1.6.0)
 Author: Friedrich Leisch and Roger Bivand

## pixmap 0.3-3

=== DESCRIPTION ===
Package: pixmap
Version: 0.3-3
Date: 2003-09-03
Title:  Bitmap Images (``Pixel Maps'')
Depends: R (>= 1.6.0), methods
Author: Friedrich Leisch and Roger Bivand
Maintainer: Friedrich Leisch <Friedrich.Leisch@ci.tuwien.ac.at>
Description: Functions for import, export, plotting and other
  manipulations of bitmapped images. 
License: GPL version 2.

## pixmap 0.3-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: pixmap
-Version: 0.3-3
-Date: 2003-09-03
+Version: 0.3-4
+Date: 2003-09-24
 Title:  Bitmap Images (``Pixel Maps'')
 Depends: R (>= 1.6.0), methods
 Author: Friedrich Leisch and Roger Bivand

## pixmap 0.4-0

=== DESCRIPTION ===
Package: pixmap
Version: 0.4-0
Date: 2003-12-17
Title:  Bitmap Images (``Pixel Maps'')
Depends: R (>= 1.6.0), methods
Author: Roger Bivand, Friedrich Leisch and Martin Mchler
Maintainer: Friedrich Leisch <Friedrich.Leisch@ci.tuwien.ac.at>
Description: Functions for import, export, plotting and other
  manipulations of bitmapped images.
License: GPL version 2.
Collate: AAA.R pixmap.R addlogo.R pnmhead.R pnm.R
Packaged: Wed Dec 17 13:11:15 2003; leisch

## pixmap 0.4-1

=== DESCRIPTION ===
Package: pixmap
Version: 0.4-1
Date: 2004-03-23
Title:  Bitmap Images (``Pixel Maps'')
Depends: R (>= 1.6.0), methods
Author: Roger Bivand, Friedrich Leisch and Martin Mchler
Maintainer: Friedrich Leisch <Friedrich.Leisch@ci.tuwien.ac.at>
Description: Functions for import, export, plotting and other
  manipulations of bitmapped images.
License: GPL version 2.
Collate: AAA.R pixmap.R addlogo.R pnmhead.R pnm.R
Packaged: Tue Mar 23 13:11:31 2004; leisch

## pixmap 0.4-2

=== DESCRIPTION ===
Package: pixmap
Version: 0.4-2
Date: 2004-09-29
Title:  Bitmap Images (``Pixel Maps'')
Depends: R (>= 2.0.0), methods
Author: Roger Bivand, Friedrich Leisch and Martin Mchler
Maintainer: Friedrich Leisch <Friedrich.Leisch@ci.tuwien.ac.at>
Description: Functions for import, export, plotting and other
  manipulations of bitmapped images.
License: GPL version 2.
Collate: pixmap.R addlogo.R pnmhead.R pnm.R
SaveImage: yes
Packaged: Wed Sep 29 13:31:38 2004; leisch

## pixmap 0.4-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: pixmap
-Version: 0.4-2
-Date: 2004-09-29
+Version: 0.4-3
+Date: 2005-07-25
 Title:  Bitmap Images (``Pixel Maps'')
 Depends: R (>= 2.0.0), methods
 Author: Roger Bivand, Friedrich Leisch and Martin Mchler
@@ -10,4 +10,4 @@
 License: GPL version 2.
 Collate: pixmap.R addlogo.R pnmhead.R pnm.R
 SaveImage: yes
-Packaged: Wed Sep 29 13:31:38 2004; leisch
+Packaged: Mon Jul 25 12:53:29 2005; leisch

## pixmap 0.4-4

=== DESCRIPTION ===
Package: pixmap
Version: 0.4-4
Date: 2006-01-23
Title:  Bitmap Images (``Pixel Maps'')
Depends: methods
Author: Roger Bivand, Friedrich Leisch and Martin Mchler
Maintainer: Friedrich Leisch <Friedrich.Leisch@ci.tuwien.ac.at>
Description: Functions for import, export, plotting and other
  manipulations of bitmapped images.
License: GPL version 2.
Collate: pixmap.R addlogo.R pnmhead.R pnm.R
SaveImage: yes
Packaged: Mon Jan 23 16:55:10 2006; leisch

## pixmap 0.4-5

=== DESCRIPTION ===
Package: pixmap
Version: 0.4-5
Date: 2006-10-09
Title:  Bitmap Images (``Pixel Maps'')
Depends: methods
Author: Roger Bivand, Friedrich Leisch and Martin Mchler
Maintainer: Friedrich Leisch <Friedrich.Leisch@R-project.org>
Description: Functions for import, export, plotting and other
  manipulations of bitmapped images.
License: GPL-2
Collate: pixmap.R addlogo.R pnmhead.R pnm.R
SaveImage: yes
Packaged: Mon Oct  9 18:44:49 2006; leisch

## pixmap 0.4-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: pixmap
-Version: 0.4-5
-Date: 2006-10-09
+Version: 0.4-6
+Date: 2007-01-20
 Title:  Bitmap Images (``Pixel Maps'')
 Depends: methods
 Author: Roger Bivand, Friedrich Leisch and Martin Mchler
@@ -10,4 +10,4 @@
 License: GPL-2
 Collate: pixmap.R addlogo.R pnmhead.R pnm.R
 SaveImage: yes
-Packaged: Mon Oct  9 18:44:49 2006; leisch
+Packaged: Sat Jan 20 14:06:57 2007; leisch

## pixmap 0.4-7

=== DESCRIPTION ===
Package: pixmap
Version: 0.4-7
Date: 2007-05-03
Title:  Bitmap Images (``Pixel Maps'')
Depends: methods
Author: Roger Bivand, Friedrich Leisch and Martin Mchler
Maintainer: Friedrich Leisch <Friedrich.Leisch@R-project.org>
Description: Functions for import, export, plotting and other
  manipulations of bitmapped images.
License: GPL-2
Collate: pixmap.R addlogo.R pnmhead.R pnm.R
LazyLoad: yes
Packaged: Thu May  3 18:41:54 2007; leisch

## pixmap 0.4-8

=== DESCRIPTION ===
Package: pixmap
Version: 0.4-8
Date: 2008-06-26
Title:  Bitmap Images (``Pixel Maps'')
Depends: methods
Author: Roger Bivand, Friedrich Leisch and Martin Maechler
Maintainer: Friedrich Leisch <Friedrich.Leisch@R-project.org>
Description: Functions for import, export, plotting and other
  manipulations of bitmapped images.
License: GPL-2
Collate: pixmap.R addlogo.R pnmhead.R pnm.R
LazyLoad: yes
Packaged: Wed Jul  2 14:25:19 2008; leisch

## pixmap 0.4-9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: pixmap
-Version: 0.4-8
-Date: 2008-06-26
+Version: 0.4-9
+Date: 2008-07-04
 Title:  Bitmap Images (``Pixel Maps'')
 Depends: methods
 Author: Roger Bivand, Friedrich Leisch and Martin Maechler
@@ -10,4 +10,4 @@
 License: GPL-2
 Collate: pixmap.R addlogo.R pnmhead.R pnm.R
 LazyLoad: yes
-Packaged: Wed Jul  2 14:25:19 2008; leisch
+Packaged: Fri Jul  4 17:19:21 2008; leisch

## pixmap 0.4-10

=== DESCRIPTION ===
Package: pixmap
Version: 0.4-10
Date: 2009-11-12
Title: Bitmap Images (``Pixel Maps'')
Depends: methods
Author: Roger Bivand, Friedrich Leisch and Martin Maechler
Maintainer: Friedrich Leisch <Friedrich.Leisch@R-project.org>
Description: Functions for import, export, plotting and other
        manipulations of bitmapped images.
License: GPL-2
Collate: pixmap.R addlogo.R pnmhead.R pnm.R
LazyLoad: yes
Packaged: 2009-11-13 11:24:40 UTC; leisch
Repository: CRAN
Date/Publication: 2009-11-13 11:29:22

## pixmap 0.4-14

=== DESCRIPTION ===
Package: pixmap
Version: 0.4-14
Date: 2025-07-25
Title: Bitmap Images / Pixel Maps
Imports: methods, graphics, grDevices
Authors@R: c(person("Roger", "Bivand", role = "aut", comment = c(ORCID = "0000-0003-2392-6140")),
	     person("Friedrich", "Leisch", role = "aut", comment = c(ORCID = "0000-0001-7278-1983", "maintainer 2001-2024")),
             person("Martin", "Maechler", role = "aut", comment = c(ORCID = "0000-0002-8685-9910")),
	     person("Achim", "Zeileis", role = "cre", email = "Achim.Zeileis@R-project.org", comment = c(ORCID = "0000-0003-0918-3766")))
Description: Functions for import, export, visualization and other manipulations of bitmapped images.
License: GPL-2
LazyLoad: yes
NeedsCompilation: no
Packaged: 2025-07-25 22:00:46 UTC; zeileis
Author: Roger Bivand [aut] (ORCID: <https://orcid.org/0000-0003-2392-6140>),
  Friedrich Leisch [aut] (ORCID: <https://orcid.org/0000-0001-7278-1983>,
    maintainer 2001-2024),
  Martin Maechler [aut] (ORCID: <https://orcid.org/0000-0002-8685-9910>),
  Achim Zeileis [cre] (ORCID: <https://orcid.org/0000-0003-0918-3766>)
Maintainer: Achim Zeileis <Achim.Zeileis@R-project.org>
Repository: CRAN
Date/Publication: 2025-07-26 05:30:02 UTC

## pixmap 2.6pl4

=== Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.87 94/04/17 20:10:28 rws Exp $

# -----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl,v 1.218 94/03/31 20:11:26 matt Exp $
#

.SUFFIXES: .i

# $XConsortium: Imake.cf,v 1.12 94/03/29 15:42:08 gildea Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $

# -----------------------------------------------------------------------
# platform-specific configuration parameters - edit sun.cf to change

# platform:  $XConsortium: sun.cf,v 1.129 94/04/09 16:06:28 rws Exp $

# operating system:  SunOS 4.1.3

# $XConsortium: sunLib.rules,v 1.14 94/03/28 15:24:43 gildea Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $

# -----------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.193 94/04/10 17:39:55 rws Exp $

          PATHSEP = /
            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = makedepend
        MKDIRHIER = mkdirhier
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/makedepend
           IXXSRC = $(UNSUPPORTEDSRC)/programs/ixx
              IXX = ixx
         IXXFLAGS = -s BaseObject -m TypeObj -r RequestObj -p Xf
      IXXINCLUDES = -i '<X11/Fresco/enter-scope.h>'

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)
        LIBMANDIR = $(MANSOURCEPATH)$(LIBMANSUFFIX)
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSUFFIX)

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = cc
               AS = as

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = cc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = lex
           LEXLIB = -ll
             YACC = yacc
           CCYACC = yacc
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = n
     LIBMANSUFFIX = 3
    FILEMANSUFFIX = 4
            TROFF = psroff
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn

     STD_INCLUDES =
  STD_CPP_DEFINES =
      STD_DEFINES =
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF = -DSHAREDCODE
         SHLIBDEF = -DSUNSHLIB

     SHLIBLDFLAGS = -assert pure-text

         PICFLAGS = -pic

      CXXPICFLAGS = -pic

    PROTO_DEFINES =

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -g kmem -m 2755

      PROJECTROOT = /usr/X11R6

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)
     CXXLDOPTIONS = $(CDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)

           LDLIBS = $(LDPOSTLIB) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -X -r
      DEPENDFLAGS =

        MACROFILE = sun.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Project.tmpl \
			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) \
			 $(EXTRA_ICONFIGFILES)

# -----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: Project.tmpl,v 1.242 94/04/13 14:58:40 rws Exp $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
      BUILDLIBDIR = $(TOP)/usrlib
      BUILDLIBTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(TOP)/doc/util
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/programs/Xserver
       CONTRIBSRC = $(TOP)/../contrib
   UNSUPPORTEDSRC = $(TOP)/unsupported
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(TOP)/include/fonts
        EXTINCSRC = $(TOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

# $XConsortium: sunLib.tmpl,v 1.36 94/04/08 19:13:50 rws Exp $

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 4.20
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext

SOXEXTREV = 4.20
DEPEXTENSIONLIB =
EXTENSIONLIB =  -lXext

LINTEXTENSION = $(LINTLIBDIR)/llib-lXext.ln

LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH = $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP = $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV = 4.20
DEPXMULIB = $(USRLIBDIR)/libXmu.sa.$(SOXMUREV)
XMULIB =  -lXmu

LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

SOOLDXREV = 4.20
DEPOLDXLIB =
OLDXLIB =  -loldX

LINTOLDX = $(LINTLIBDIR)/llib-loldX.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV = 4.20
DEPXTOOLONLYLIB = $(USRLIBDIR)/libXt.sa.$(SOXTREV)
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       AWIDGETSRC = $(LIBSRC)/Xaw

SOXAWREV = 6.0
DEPXAWLIB = $(USRLIBDIR)/libXaw.sa.$(SOXAWREV)
XAWLIB =  -lXaw

LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln

       XTFSRC = $(TOP)/workInProgress/Xtf

SOXTFREV = 0.7
DEPXTFLIB =
XTFLIB =  -lXtf

LINTXTF = $(LINTLIBDIR)/llib-lXtf.ln

       FRESCOSRC = $(TOP)/workInProgress/Fresco

SOFRESCOREV = 0.7
DEPFRESCOLIB =
FRESCOLIB =  -lFresco

LINTFRESCO = $(LINTLIBDIR)/llib-lFresco.ln

         XILIBSRC = $(LIBSRC)/Xi

SOXINPUTREV = 4.20
DEPXILIB =
XILIB =  -lXi

LINTXI = $(LINTLIBDIR)/llib-lXi.ln

      XTESTLIBSRC = $(LIBSRC)/Xtst

SOXTESTREV = 1.10
DEPXTESTLIB =
XTESTLIB =  -lXtst

LINTXTEST = $(LINTLIBDIR)/llib-lXtst.ln

        PEXLIBSRC = $(LIBSRC)/PEX5

SOPEXREV = 1.10
DEPPEXLIB =
PEXLIB =  -lPEX5

LINTPEX = $(LINTLIBDIR)/llib-lPEX5.ln

        XIELIBSRC = $(LIBSRC)/XIE

SOXIEREV = 6.0
DEPXIELIB =
XIELIB =  -lXIE

LINTXIE = $(LINTLIBDIR)/llib-lXIE.ln

      PHIGSLIBSRC = $(LIBSRC)/PHIGS

DEPPHIGSLIB = $(USRLIBDIR)/libphigs.a
PHIGSLIB =  -lphigs

LINTPHIGS = $(LINTLIBDIR)/llib-lphigs.ln

DEPXBSDLIB = $(USRLIBDIR)/libXbsd.a
XBSDLIB =  -lXbsd

LINTXBSD = $(LINTLIBDIR)/llib-lXbsd.ln

           ICESRC = $(LIBSRC)/ICE

SOICEREV = 6.0
DEPICELIB =
ICELIB =  -lICE

LINTICE = $(LINTLIBDIR)/llib-lICE.ln

            SMSRC = $(LIBSRC)/SM

SOSMREV = 6.0
DEPSMLIB =
SMLIB =  -lSM

LINTSM = $(LINTLIBDIR)/llib-lSM.ln

         FSLIBSRC = $(LIBSRC)/FS

DEPFSLIB = $(USRLIBDIR)/libFS.a
FSLIB =  -lFS

LINTFS = $(LINTLIBDIR)/llib-lFS.ln

         FONTLIBSRC = $(LIBSRC)/font

DEPFONTLIB = $(USRLIBDIR)/libfont.a
FONTLIB =  -lfont

LINTFONT = $(LINTLIBDIR)/llib-lfont.ln

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)

        CONFIGDIR = $(LIBDIR)/config

# -----------------------------------------------------------------------
# start of Imakefile

#
#  Author:    Lionel Mallet, Simulog
#  Created:   April 20, 1991.
#

# def/undef USE_MOTIF there if you want Pixmap to use Motif or not.

# Where you have rgb.txt
RGBTXT = $(LIBDIR)/rgb.txt

# LUCS extra variable for where bitmaps go
PIXMAPDIR = $(LIBDIR)/Pixmap

# Specify here your Xpm installation directories
        XPM_INCLUDEDIR = /usr/local/include
        XPM_LIBDIR = $(LIBDIR)/xpm
        XPM_INCLUDEDIR = /net/koala/include
        XPM_LIBDIR = /net/koala/lib/sun4
        EXTRA_INCLUDES = $(R5EXT) -I. -I.. -I$(XPM_INCLUDEDIR)

# Specify here where you want the Pixmap private bitmaps to be
# installed
        BITMAPSDIR = $(INCDIR)/bitmaps/Pixmap

# Athena configuration
  LOCAL_DEFINES = $(IEEE_DEFS) $(SIGNAL_DEFINES) -DUSE_ATHENA
        DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)
LOCAL_LIBRARIES =  -L$(XPM_LIBDIR) -lXpm -LSelFile -lXgnu $(XAWLIB) $(XMULIB) $(XTOOLLIB) $(XLIB)
        BITMAPS = Down FlipHoriz FlipVert Fold  Left Right RotateLeft \
                  RotateRight Stipple Up Term Excl

        SUBDIRS = SelFile
        DEPLIBS = Xgnu

  SYS_LIBRARIES = -lm
           SRCS = PixEdit.c Pixmap.c Dialog.c
           OBJS = PixEdit.o Pixmap.o Dialog.o

        DEFINES = $(LOCAL_DEFINES) -DAPPDEFDIR=\"$(XAPPLOADDIR)\" \
			-DRGBF=\"$(RGBTXT)\"

 PROGRAM = pixmap

all:: pixmap

pixmap: $(OBJS) $(DEPLIBS)
	$(RM) $@
	$(CCLINK) -o $@ $(LDOPTIONS) $(OBJS) $(LOCAL_LIBRARIES) $(LDLIBS)  $(EXTRA_LOAD_FLAGS)

install:: pixmap
	@if [ -d $(DESTDIR)$(BINDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(DESTDIR)$(BINDIR)); fi
	$(INSTALL) $(INSTALLFLAGS) $(INSTPGMFLAGS)  pixmap $(DESTDIR)$(BINDIR)/pixmap

install.man:: pixmap.man
	@if [ -d $(DESTDIR)$(MANDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(DESTDIR)$(MANDIR)); fi
	$(INSTALL) $(INSTALLFLAGS) $(INSTMANFLAGS) pixmap.man $(DESTDIR)$(MANDIR)/pixmap.$(MANSUFFIX)

depend::

=== SelFile/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.87 94/04/17 20:10:28 rws Exp $

# -----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl,v 1.218 94/03/31 20:11:26 matt Exp $
#

.SUFFIXES: .i

# $XConsortium: Imake.cf,v 1.12 94/03/29 15:42:08 gildea Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $

# -----------------------------------------------------------------------
# platform-specific configuration parameters - edit sun.cf to change

# platform:  $XConsortium: sun.cf,v 1.129 94/04/09 16:06:28 rws Exp $

# operating system:  SunOS 4.1.3

# $XConsortium: sunLib.rules,v 1.14 94/03/28 15:24:43 gildea Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $

# -----------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.193 94/04/10 17:39:55 rws Exp $

          PATHSEP = /
            SHELL = /bin/sh

              TOP = ..
      CURRENT_DIR = SelFile

            IMAKE = imake
           DEPEND = makedepend
        MKDIRHIER = mkdirhier
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/makedepend
           IXXSRC = $(UNSUPPORTEDSRC)/programs/ixx
              IXX = ixx
         IXXFLAGS = -s BaseObject -m TypeObj -r RequestObj -p Xf
      IXXINCLUDES = -i '<X11/Fresco/enter-scope.h>'

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)
        LIBMANDIR = $(MANSOURCEPATH)$(LIBMANSUFFIX)
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSUFFIX)

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = cc
               AS = as

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = cc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = lex
           LEXLIB = -ll
             YACC = yacc
           CCYACC = yacc
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = n
     LIBMANSUFFIX = 3
    FILEMANSUFFIX = 4
            TROFF = psroff
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn

     STD_INCLUDES =
  STD_CPP_DEFINES =
      STD_DEFINES =
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF = -DSHAREDCODE
         SHLIBDEF = -DSUNSHLIB

     SHLIBLDFLAGS = -assert pure-text

         PICFLAGS = -pic

      CXXPICFLAGS = -pic

    PROTO_DEFINES =

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -g kmem -m 2755

      PROJECTROOT = /usr/X11R6

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)
     CXXLDOPTIONS = $(CDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)

           LDLIBS = $(LDPOSTLIB) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -X -r
      DEPENDFLAGS =

        MACROFILE = sun.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Project.tmpl \
			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) \
			 $(EXTRA_ICONFIGFILES)

# -----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: Project.tmpl,v 1.242 94/04/13 14:58:40 rws Exp $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
      BUILDLIBDIR = $(TOP)/usrlib
      BUILDLIBTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(TOP)/doc/util
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/programs/Xserver
       CONTRIBSRC = $(TOP)/../contrib
   UNSUPPORTEDSRC = $(TOP)/unsupported
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(TOP)/include/fonts
        EXTINCSRC = $(TOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

# $XConsortium: sunLib.tmpl,v 1.36 94/04/08 19:13:50 rws Exp $

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 4.20
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext

SOXEXTREV = 4.20
DEPEXTENSIONLIB =
EXTENSIONLIB =  -lXext

LINTEXTENSION = $(LINTLIBDIR)/llib-lXext.ln

LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH = $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP = $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV = 4.20
DEPXMULIB = $(USRLIBDIR)/libXmu.sa.$(SOXMUREV)
XMULIB =  -lXmu

LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

SOOLDXREV = 4.20
DEPOLDXLIB =
OLDXLIB =  -loldX

LINTOLDX = $(LINTLIBDIR)/llib-loldX.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV = 4.20
DEPXTOOLONLYLIB = $(USRLIBDIR)/libXt.sa.$(SOXTREV)
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       AWIDGETSRC = $(LIBSRC)/Xaw

SOXAWREV = 6.0
DEPXAWLIB = $(USRLIBDIR)/libXaw.sa.$(SOXAWREV)
XAWLIB =  -lXaw

LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln

       XTFSRC = $(TOP)/workInProgress/Xtf

SOXTFREV = 0.7
DEPXTFLIB =
XTFLIB =  -lXtf

LINTXTF = $(LINTLIBDIR)/llib-lXtf.ln

       FRESCOSRC = $(TOP)/workInProgress/Fresco

SOFRESCOREV = 0.7
DEPFRESCOLIB =
FRESCOLIB =  -lFresco

LINTFRESCO = $(LINTLIBDIR)/llib-lFresco.ln

         XILIBSRC = $(LIBSRC)/Xi

SOXINPUTREV = 4.20
DEPXILIB =
XILIB =  -lXi

LINTXI = $(LINTLIBDIR)/llib-lXi.ln

      XTESTLIBSRC = $(LIBSRC)/Xtst

SOXTESTREV = 1.10
DEPXTESTLIB =
XTESTLIB =  -lXtst

LINTXTEST = $(LINTLIBDIR)/llib-lXtst.ln

        PEXLIBSRC = $(LIBSRC)/PEX5

SOPEXREV = 1.10
DEPPEXLIB =
PEXLIB =  -lPEX5

LINTPEX = $(LINTLIBDIR)/llib-lPEX5.ln

        XIELIBSRC = $(LIBSRC)/XIE

SOXIEREV = 6.0
DEPXIELIB =
XIELIB =  -lXIE

LINTXIE = $(LINTLIBDIR)/llib-lXIE.ln

      PHIGSLIBSRC = $(LIBSRC)/PHIGS

DEPPHIGSLIB = $(USRLIBDIR)/libphigs.a
PHIGSLIB =  -lphigs

LINTPHIGS = $(LINTLIBDIR)/llib-lphigs.ln

DEPXBSDLIB = $(USRLIBDIR)/libXbsd.a
XBSDLIB =  -lXbsd

LINTXBSD = $(LINTLIBDIR)/llib-lXbsd.ln

           ICESRC = $(LIBSRC)/ICE

SOICEREV = 6.0
DEPICELIB =
ICELIB =  -lICE

LINTICE = $(LINTLIBDIR)/llib-lICE.ln

            SMSRC = $(LIBSRC)/SM

SOSMREV = 6.0
DEPSMLIB =
SMLIB =  -lSM

LINTSM = $(LINTLIBDIR)/llib-lSM.ln

         FSLIBSRC = $(LIBSRC)/FS

DEPFSLIB = $(USRLIBDIR)/libFS.a
FSLIB =  -lFS

LINTFS = $(LINTLIBDIR)/llib-lFS.ln

         FONTLIBSRC = $(LIBSRC)/font

DEPFONTLIB = $(USRLIBDIR)/libfont.a
FONTLIB =  -lfont

LINTFONT = $(LINTLIBDIR)/llib-lfont.ln

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)

        CONFIGDIR = $(LIBDIR)/config

# -----------------------------------------------------------------------
# start of Imakefile

# Imakefile for SelFile (pfp)

       INCLUDES = -I.
   INSTALLFLAGS = $(INSTINCFLAGS)
       LINTLIBS = $(LINTXTOLL) $(LINTXLIB)

HEADERS = xpm.h
  SRCS = SelFile.c Path.c Dir.c Draw.c
  OBJS = SelFile.o Path.o Dir.o Draw.o
 SELFILE_DEFINE = -DSELFILE -DHOME_ON_DEMAND

.c.o:
	$(RM) $@
	$(CC) -c $(CFLAGS) $(_NOOP_) $*.c

all:: libXgnu.a

libXgnu.a: $(OBJS)
	$(RM) $@
	$(AR) $@ $(OBJS)
	$(RANLIB) $@
	$(_NULLCMD_)

install:: libXgnu.a
	@if [ -d $(DESTDIR)$(USRLIBDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(DESTDIR)$(USRLIBDIR)); fi
	$(INSTALL) $(INSTALLFLAGS) $(INSTLIBFLAGS) libXgnu.a $(DESTDIR)$(USRLIBDIR)
	$(RANLIB) $(RANLIBINSTFLAGS) $(DESTDIR)$(USRLIBDIR)/libXgnu.a

depend::
	$(DEPEND) $(DEPENDFLAGS) -- $(ALLDEFINES) $(DEPEND_DEFINES) -- $(SRCS)

depend:: SFinternal.h

# -----------------------------------------------------------------------
# common rules for all Makefiles - do not edit

.c.i:
	$(RM) $@
	$(CC) -E $(CFLAGS) $(_NOOP_) $*.c > $@

emptyrule::

clean::
	$(RM_CMD) *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a .emacs_* tags TAGS make.log MakeOut   "#"*

Makefile::
	-@if [ -f Makefile ]; then set -x; \
	$(RM) Makefile.bak; $(MV) Makefile Makefile.bak; \
	else exit 0; fi
	$(IMAKE_CMD) -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)

tags::
	$(TAGS) -w *.[ch]
	$(TAGS) -xw *.[ch] > TAGS

# -----------------------------------------------------------------------
# empty rules for directories that do not have SUBDIRS - do not edit

install::
	@echo "install in $(CURRENT_DIR) done"

install.man::
	@echo "install.man in $(CURRENT_DIR) done"

Makefiles::

includes::

depend::

# -----------------------------------------------------------------------
# dependencies generated by makedepend

=== debian/changelog ===
pixmap (2.6pl4-1) unstable; urgency=low

  * new source packaging.
  * upgraded to upstream version (although previous (2.6.pl2-5) version
    had most of the patches 2.6.pl4 already in.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat, 26 Oct 1996 13:33:28 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: pixmap
Section: x11
Priority: Optional
Maintainer: joost witteveen <joostje@debian.org>
Standards-Version: 2.1.1.0

Package: pixmap
Description: A pixmap editor.
 Pixmap is a pixmap editor.  It has functionality similar to that
 of Bitmap, a bitmap editor, which comes with the X Window System.
Depends: ${shlibs:Depends}
Architecture: any

=== debian/rules ===
#! /usr/bin/make -f
#   -*- mode: makefile; -*-
#
#
# To make the binary distribution package, the ``Debianized'' source package
# and the context diff to the original package, type `./debian.rules dist'.
# Make sure that `debian.rules' is executable before the final distribution
# is made.
#
# Invoke each target with `./debian.rules <target>'.  All targets should be
# invoked with the package root as the current directory.
#
# The `binary' target must be run as root, as it needs to install files with
# specific ownerships.  The `diff' target assumes that you have the original
# source package available, unpacked, in ../$(p)-$(v).orig, or that you have
# the previous revision of the ``Debianized'' source package and context diff
# in the parent directory.

CC = gcc
CFLAGS = -O2 -g
LDFLAGS = -s

# The name of the package (for example, `emacs').
p = pixmap

package=$(p)

build:
# Builds the binary package.
	xmkmf
	rm -f clean
	make Makefiles
	make
	touch stamp-build

clean:
# Undoes the effect of `make -f debian.rules build'.
	-make clean
	touch clean
	rm -f Makefile Makefile.bak SelFile/Makefile dotpixmap .#pixmap
	rm -f stamp-build
	rm -rf debian/tmp

binary-arch:    checkroot build
# Makes a binary package.
	test -f stamp-build || make -f debian.rules build
	install -d -g root -m 755 -o root debian/tmp
	chmod g-s debian/tmp
	install -d -g root -m 755 -o root debian/tmp/DEBIAN
	install -d -g root -m 755 -o root debian/tmp/usr/X11R6/bin
	install -g root -m 755 -o root pixmap debian/tmp/usr/X11R6/bin/pixmap
	install -d -g root -m 755 -o root debian/tmp/usr/X11R6/lib/X11
	install -d -g root -m 755 -o root \
	  debian/tmp/usr/X11R6/lib/X11/app-defaults
	install -g root -m 644 -o root Pixmap.ad \
	  debian/tmp/usr/X11R6/lib/X11/app-defaults/Pixmap
	install -d -g root -m 755 -o root \
	  debian/tmp/usr/X11R6/lib/X11/Pixmap
	for file in Down Excl FlipHoriz FlipVert Fold Left Right RotateLeft \
	            RotateRight Stipple Term Up; \
	do \
	  install -g root -m 644 -o root $$file \
	    debian/tmp/usr/X11R6/lib/X11/Pixmap/$$file; \
	done
	install -d -g root -m 755 -o root debian/tmp/usr/X11R6/man/man1
	install -g root -m 644 -o root pixmap.man \
	  debian/tmp/usr/X11R6/man/man1/pixmap.1x
	install -d -g root -m 755 -o root debian/tmp/usr/doc/$(p)/copyright
	install -g root -m 644 -o root debian/copyright \
	  debian/tmp/usr/doc/$(p)/copyright
	dpkg-shlibdeps pixmap
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..
	rm -f clean

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:         binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## pixmap 2.6.6

=== debian/changelog ===
pixmap (2.6.6-1) unstable; urgency=medium

  * New upstream version.
  * Packaging now based on dh as far as that's possible with an
    Imake-based package.
    closes:#999119
  * Work around the binutils mess that means xutils-dev needs to fix Imake
    (see #981072, #997628 and #994276).
    closes:#997627
  * Replaced menu file with FreeDesktop entry.

 -- Paul Slootman <paul@debian.org>  Tue, 23 Nov 2021 16:16:09 +0100

pixmap (2.6pl4-20) unstable; urgency=medium

  * Fix mtimes before building binary packages to produce reproducible output.
    closes:#793709
    Somehow this bug wasn't listed at https://bugs.debian.org/pixmap which is
    why it wasn't included in the previous upload.

 -- Paul Slootman <paul@debian.org>  Wed, 17 Aug 2016 13:34:16 +0200

pixmap (2.6pl4-19) unstable; urgency=low

  * Make the build reproducible, thanks to patch from Chris Lamb.
    closes:#777430
  * Check for potential buffer overflow with overly long HOME environment
    variable. closes:#507106

 -- Paul Slootman <paul@debian.org>  Wed, 17 Aug 2016 13:14:31 +0200

pixmap (2.6pl4-18) unstable; urgency=low

  * really handle nostrip build option now, thanks to patch from Cesare
    Tirabassi from Ubuntu.
    closes:#491561
  * Removed hack for getenv(), as it now seems to work, at least with stdlib.h
  * included (also thanks to Cesare Tirabassi).

 -- Paul Slootman <paul@debian.org>  Tue, 22 Jul 2008 10:35:14 +0200

pixmap (2.6pl4-17) unstable; urgency=low

  * Build depend on xbitmaps, which provides /usr/include/X11/bitmaps/xlogo16

 -- Paul Slootman <paul@debian.org>  Mon, 02 Jun 2008 19:14:19 +0200

pixmap (2.6pl4-16) unstable; urgency=low

  * The shipped Makefile doesn't contain a distclean target, while the
    generated version does. Hence first try make distclean in clean target,
    else fallback to make clean.
    closes:#484044

 -- Paul Slootman <paul@debian.org>  Mon, 02 Jun 2008 12:28:26 +0200

pixmap (2.6pl4-15) unstable; urgency=low

  * Acknowledge previous NMUs, thanks!
    closes:#355450,#366867
  * Don't install to /usr/lib/X11/, and don't refer to /usr/X11R6/include/.
  * Updated standards version to 3.7.3.0.
  * Remove build-dependency on xlibs-data.
    closes:#419018
  * Also cleaned up build-dependencies some more.
  * Add (dummy) binary-indep target in debian/rules.
    closes:#395735
  * Handle nostrip build option.
    closes:#437775

 -- Paul Slootman <paul@debian.org>  Fri, 30 May 2008 17:26:26 +0200

pixmap (2.6pl4-14.2) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Xorg7 migration (Closes: #365260):
    - Build-depend on xutils-dev for FHS-compliant xmkmf.
    - Pre-depend on x11-common (>= 1:7.0.0) to get /usr/lib/X11 as a
      directory instead of a symlink.
    - Fix Pixmap.h to include <X11/xpm.h> instead of the broken "xpm.h".
    - Fix up all paths under debian/ to use the FHS paths instead of
      /usr/X11R6
    - Look for rgb.txt in $(CONFDIR) instead of $(LIBDIR)

 -- Luk Claes <luk@debian.org>  Wed, 10 May 2006 00:46:58 +0200

pixmap (2.6pl4-14.1) unstable; urgency=high

  * Non-maintainer upload.
  * Update xlibs-dev build-dep (Closes: #347095).
  * Remove X11 dir in build target (Closes: #349443).

 -- Luk Claes <luk@debian.org>  Sun,  5 Mar 2006 19:37:51 +0100

pixmap (2.6pl4-14) unstable; urgency=low

  * Removed libxaw-dev from Build-Depends; replaced with libxaw7-dev.
    closes:#169981
  * Updated location of app-defaults file in manpage.
  * Made default font a little smaller in the app-defaults file.

 -- Paul Slootman <paul@debian.org>  Fri,  9 Jan 2004 09:11:52 +0100

pixmap (2.6pl4-13) unstable; urgency=low

  * Actually put the the list of conffiles in the package. closes:#132187
  * Apparently install -s does a different strip than when linking with -s
    (.code and .comment fields were left behind).
  * Added -isp to dpkg-gencontrol to include the section and priority.

 -- Paul Slootman <paul@debian.org>  Fri, 15 Feb 2002 10:22:36 +0100

pixmap (2.6pl4-12) unstable; urgency=low

  * Hacked around HP_Architecture test in Imakefile, which is only for HPUX
    closes:#104715
  * Made the long description actually useful. closes:#93824

 -- Paul Slootman <paul@debian.org>  Mon, 23 Jul 2001 19:31:51 +0200

pixmap (2.6pl4-11) unstable; urgency=low

  * Added libxaw-dev to Build-Depends. closes:#86595

 -- Paul Slootman <paul@debian.org>  Mon, 19 Feb 2001 21:34:59 +0100

pixmap (2.6pl4-10) unstable; urgency=low

  * Listed the app-defaults files as conffiles (as they're under /etc now)
  * changed section to graphics to agree with the overrides

 -- Paul Slootman <paul@debian.org>  Fri, 16 Feb 2001 11:57:57 +0100

pixmap (2.6pl4-9) unstable; urgency=low

  * Updated Standards-Version to 3.5.0.
  * As a consequence, moved app-defaults file to /etc/X11/app-defaults
  * Added menu hint, closes:#80158

 -- Paul Slootman <paul@debian.org>  Thu, 15 Feb 2001 14:17:39 +0100

pixmap (2.6pl4-8) unstable; urgency=low

  * Updated Standards-Version to 3.0.1.

 -- Paul Slootman <paul@debian.org>  Thu, 28 Oct 1999 17:07:27 +0200

pixmap (2.6pl4-7) unstable; urgency=low

  * Forgot to change debian/control to reflect new maintainer :-(
  * now lintian-clean.

 -- Paul Slootman <paul@debian.org>  Tue,  5 Jan 1999 17:38:29 +0100

pixmap (2.6pl4-6) unstable; urgency=low

  * New maintainer.
  * remove debian/files, debian/substvars in clean target (common packaging
    error number 3). See bug #28163
  * Change the order of a couple of lines in debian/control to something more
    usual. See bug #22653, 28269
  * Don't compress the copyright file. fixes:#14494
  * Don't use getwd() on Linux (use getcwd() instead)
  * Fixed a couple of warnings (on Alpha)
  * The following bugs seem to have already been fixed, but not yet closed in
    the BTS: 12928, 14935, 27849

 -- Paul Slootman <paul@debian.org>  Tue, 15 Dec 1998 10:07:26 +0100

pixmap (2.6pl4-5) unstable; urgency=low



=== debian/control ===
Source: pixmap
Section: graphics
Priority: optional
Maintainer: Paul Slootman <paul@debian.org>
Standards-Version: 4.5.1
Build-Depends: xutils-dev, libxaw7-dev, xbitmaps, debhelper(>=13~)

Package: pixmap
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: x11-common (>= 1:7.0.0)
Architecture: any
Description: editor for pixmap files
 Pixmap is a tool for creating or editing rectangular images made up of colored
 pixels, i.e., pixmaps. Pixmaps are intensively used in X to define window
 backgrounds, icon images, etc.  These are for example used as icons on the
 desktop or in the Debian menu.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS+=$(HARDENING_CFLAGS)
LDFLAGS+=$(HARDENING_LDFLAGS)

export DH_VERBOSE=1

override_dh_auto_configure:
	rm -rf X11
	xmkmf
	make Makefiles
	perl -i -pe 's/ ..SMLIB. ..ICELIB.//' Makefile # don't link with -lSM -lICE
	perl -i -pe 's/AR = ar clq/AR = ar cq/' Makefile SelFile/Makefile

override_dh_auto_build:
	make 'CCOPTIONS=$(CFLAGS)' 'EXTRA_LDOPTIONS=$(LDFLAGS)'

binary: binary-arch binary-indep
binary-indep: build
# nothing to do

binary-arch: build
	install -d -g root -m 755 -o root debian/pixmap
	chmod g-s debian/pixmap
	install -d -g root -m 755 -o root               \
                debian/pixmap/DEBIAN                       \
                debian/pixmap/usr/bin                      \
                debian/pixmap/usr/lib/X11                  \
                debian/pixmap/usr/lib/X11/Pixmap           \
                debian/pixmap/usr/share/doc/pixmap         \
                debian/pixmap/usr/share/applications       \
                debian/pixmap/usr/share/man/man1           \
                debian/pixmap/etc/X11/app-defaults
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	install -g root -m 755 -o root    pixmap debian/pixmap/usr/bin/pixmap
else
	# see changelog entry for 2.6pl4-13 about the strip here
	strip --remove-section=.comment --remove-section=.note pixmap
	install -g root -m 755 -o root -s pixmap debian/pixmap/usr/bin/pixmap
endif
	install -g root -m 644 -o root Pixmap.ad  \
		debian/pixmap/etc/X11/app-defaults/Pixmap
	install -g root -m 644 -o root debian/Pixmap-color  \
		debian/pixmap/etc/X11/app-defaults/Pixmap-color
	for file in Down Excl FlipHoriz FlipVert Fold Left Right RotateLeft \
		    RotateRight Stipple Term Up; do \
		install -g root -m 644 -o root $$file \
			debian/pixmap/usr/lib/X11/Pixmap/$$file; \
	done
	install -g root -m 644 -o root pixmap.man \
		debian/pixmap/usr/share/man/man1/pixmap.1
	-gzip -f -9n debian/pixmap/usr/share/man/man1/pixmap.1
	install -g root -m 644 -o root debian/pixmap.desktop \
		debian/pixmap/usr/share/applications/
	install -g root -m 644 -o root debian/changelog \
		debian/pixmap/usr/share/doc/pixmap/changelog.Debian
	install -g root -m 644 -o root CHANGES \
		debian/pixmap/usr/share/doc/pixmap/changelog
	-gzip -f -9n debian/pixmap/usr/share/doc/pixmap/*
	install -g root -m 644 -o root debian/copyright \
		debian/pixmap/usr/share/doc/pixmap/copyright
	install -g root -m 644 -o root debian/conffiles debian/pixmap/DEBIAN/.
	dpkg-shlibdeps debian/pixmap/usr/bin/pixmap
	dpkg-gencontrol -Pdebian/pixmap
	dh_md5sums
	chown -R root.root debian/pixmap
	chmod -R g-ws debian/pixmap
	find debian/pixmap -newermt "@$$SOURCE_DATE_EPOCH" -print0 | \
		xargs -0r touch --no-dereference --date="@$$SOURCE_DATE_EPOCH"
	dpkg --build debian/pixmap ..

	
clean:
	[ ! -f Makefile ] || $(MAKE) distclean || $(MAKE) clean
	rm -f Makefile Makefile.bak SelFile/Makefile SelFile/Makefile.bak
	rm -f dotpixmap .#pixmap Pixmap.ad pixmap._man
	rm -f stamp-build pixmap
	rm -rf debian/pixmap debian/files debian/substvars debian/pixmap
	dh_clean


%:
	dh $@

.PHONY: binary binary-arch binary-indep clean checkroot
